Package Details: mupdf-git 20210319.33e4e2a3d-1

Git Clone URL: https://aur.archlinux.org/mupdf-git.git (read-only, click to copy)
Package Base: mupdf-git
Description: Lightweight PDF, XPS, and E-book viewer
Upstream URL: https://mupdf.com/
Licenses: AGPL3
Conflicts: mupdf, mupdf-gl, mupdf-tools
Provides: mupdf, mupdf-gl, mupdf-tools
Submitter: None
Maintainer: vesath
Last Packager: vesath
Votes: 14
Popularity: 0.000000
First Submitted: 2011-03-07 21:49
Last Updated: 2021-03-24 18:31

Required by (22)

Sources (5)

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 Next › Last »

haawda commented on 2013-10-24 15:23

Sure, thanks for the hint.

mlq commented on 2013-10-24 08:21

It would be great if you could add the '-fPIC' flag to build it (like in the stable package) so that zathura-pdf-mupdf can be build against it.

haawda commented on 2013-10-17 13:26

added desktop file

haawda commented on 2013-08-14 18:51

Adopted and updated. I like "git describe --tags". Also had to add the curl subrepo, unfortunately.

Anonymous comment on 2013-06-20 18:19

Ok, builds again after a tiny change in the package function.

xmw commented on 2013-06-20 08:19

bisson@archlinux.org filed this upstream bug report with a working patch.
http://bugs.ghostscript.com/show_bug.cgi?id=694365&list_id=6717

xmw commented on 2013-06-20 07:16

The include files have been split and the directory structure changed.

http://git.ghostscript.com/?p=mupdf.git;a=commitdiff;h=19126babc37ac8243de60b3ca388bb5102661274
http://git.ghostscript.com/?p=mupdf.git;a=commitdiff;h=923ab857eed6cd29b539910bf74be2aa26d71f39
http://git.ghostscript.com/?p=mupdf.git;a=commitdiff;h=595e10ebe3150402a6b3e84500ed50ad2ebf1c3e

Anonymous comment on 2013-06-19 13:16

I get different errors trying to build commit 3323. Looks like it's messed up upstream right now. 3307 still worked, it's what I have installed right now.

doctorcolossus commented on 2013-06-19 11:20

Guys, the latest build seems to compile and link fine for me, but when attempting installation I get the errors below (transcribed by hand, hence typos possible). I've tried with both the yaourt and packer package helpers and have tried building both in my /tmp RAM disk and in a temporary directory in my home folder. Am I the only one getting this? If not, is it a problem with our PKGBUILD or is this an upstream issue? Any tips for troubleshooting? Thanks in advance.

install -d /tmp/packerbuild-0/mupdf-git/mupdf-git/pkg/mupdf-git/usr/bin /tmp/packerbuild-0/mupdf-git/mupdf-git/pkg/mupdf-git/usr/lib /tmp/packerbuild-0/mupdf-git/mupdf-git/pkg/mupdf-git/usr/include /tmp/packerbuild-0/mupdf-git/mupdf-git/pkg/mupdf-git/usr/share/man/man1
install build/release/libmupdf.a /tmp/packerbuild-0/mupdf-git/mupdf-git/pkg/mupdf-git/usr/lib
install fitz/memento.h fitz/fitz.h pdf/mupdf.h xps/muxps.h cbz/mucbz.h image/muimage.h /tmp/packerbuild-0/mupdf-git/mupdf-git/pkg/mupdf-git/usr/include
install: cannot stat 'fitz/memento.h': No such file or directory
install: cannot stat 'fitz/fitz.h': No such file or directory
install: cannot stat 'pdf/mupdf.h': No such file or directory
install: cannot stat 'xps/muxps.h': No such file or directory
install: cannot stat 'cbz/mcucbz.h': No such file or directory
install: cannot stat 'image/muimage.h': No such file or directory
make: *** [install] Error 1
==> ERROR: A failure occurred in package().
Aborting...
The build failed.

Anonymous comment on 2013-06-16 10:34

Added openssl to the dependencies, according to namcap mupdf now depends on it.